Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598897 - When using X in dual head without xorg.conf it is unusable.
Summary: When using X in dual head without xorg.conf it is unusable.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-ati
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jérôme Glisse
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 10:06 UTC by Miroslav Suchý
Modified: 2010-08-11 14:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-11 14:13:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
output of xrand (deleted)
2010-06-02 10:07 UTC, Miroslav Suchý
no flags Details
output of dmesg (deleted)
2010-06-02 10:08 UTC, Miroslav Suchý
no flags Details
Xorg.0.log (deleted)
2010-06-02 10:08 UTC, Miroslav Suchý
no flags Details

Description Miroslav Suchý 2010-06-02 10:06:59 UTC
Description of problem:
Due BZ 598358, I have been asked by mcepl to try to start X without xorg.conf.
Well I tried it and then I used KDE systemsettings to enable second monitor and rotate it by 90 degrees to left. 
I got crippled desktop (and I'm omiting fact that those desktop were mirror instead dual head).
Left monitor is 1280x1024 which I rotated to 1024x1280. 
Right monitor is 1600x1200, which I did not rotate.
After I accept those changes I got:
left monitor with 1280x1200 - i.e I could not see right margin
right monitor with 1280x1200+plus something - i.e. I have black strip on right margin and I could not see bottom margin.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-4.el6.x86_64

How reproducible:
done once

Steps to Reproduce:
1. have one monitor 1280x1024, second 1600x1200  (it is Dell)
2. remove /etc/X11/xorg.conf
3. use KDE
4. in systemsetting set native resolution: 1280x1024 and 1600x1200
5. rotate left display (that with 1280x1024)
  
Actual results:
cripled desktop

Expected results:
works as charm

Additional info:

Comment 1 Miroslav Suchý 2010-06-02 10:07:41 UTC
Created attachment 418973 [details]
output of xrand

Comment 2 Miroslav Suchý 2010-06-02 10:08:21 UTC
Created attachment 418974 [details]
output of dmesg

Comment 3 Miroslav Suchý 2010-06-02 10:08:53 UTC
Created attachment 418975 [details]
Xorg.0.log

Comment 4 RHEL Product and Program Management 2010-06-02 10:25:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Matěj Cepl 2010-06-02 11:26:22 UTC
The same as in bug 598842 ... please try to play with settings in KDE whether you cannot make it to work without xorg.conf. Thank you

Comment 6 Jérôme Glisse 2010-06-02 13:39:31 UTC
Please attach output of xrandr with crippled desktop after applying configuration with KDE.

Also please try doing the configuration you want directly with xrandr.
xrandr --output DVI-1 --pos 1600x0 --rotate left --mode 1280x1024

Should achieve what you want (please also attach output of xrandr after doing that)

Comment 7 RHEL Product and Program Management 2010-07-15 14:46:16 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 8 Miroslav Suchý 2010-08-11 14:13:18 UTC
This do not happen with xorg-x11-server-Xorg-1.7.7-23.el6.x86_64
Closing


Note You need to log in before you can comment on or make changes to this bug.